# Locusts: A universal library

We here at Locusts-R-Us have developed a series of libraries for all sorts of programming languages to introduce locusts in all sorts of codebases.

## CI

[![BEAM](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/beam.yml?style=for-the-badge&logo=erlang&label=Erlang%2FElixir%2FGleam%20(BEAM))](https://github.com/locusts-r-us/locusts/actions/workflows/beam.yml)
[![C/C++](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/c.yml?style=for-the-badge&logo=c&label=C%2FC%2B%2B)](https://github.com/locusts-r-us/locusts/actions/workflows/c.yml)
[![Deno](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/deno.yml?style=for-the-badge&logo=deno&label=Deno)](https://github.com/locusts-r-us/locusts/actions/workflows/deno.yml)
[![Docker](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/docker.yml?style=for-the-badge&logo=docker&label=Docker)](https://github.com/locusts-r-us/locusts/actions/workflows/docker.yml)
[![.NET](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/dotnet.yml?style=for-the-badge&logo=dotnet&label=C%23%2FF%23)](https://github.com/locusts-r-us/locusts/actions/workflows/dotnet.yml)
[![JVM](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/jvm.yml?style=for-the-badge&logo=kotlin&label=Java%2FKotlin%2FGroovy%20(JVM))](https://github.com/locusts-r-us/locusts/actions/workflows/jvm.yml)
[![Go](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/go.yml?style=for-the-badge&logo=go&label=Go)](https://github.com/locusts-r-us/locusts/actions/workflows/go.yml)
[![GitHub Actions Workflow Status](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/node.yml?style=for-the-badge&logo=nodedotjs&label=Node.JS)](https://github.com/locusts-r-us/locusts/actions/workflows/node.yml)
[![Python](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/python.yml?style=for-the-badge&logo=python&label=Python)](https://github.com/locusts-r-us/locusts/actions/workflows/python.yml)
[![Rust](https://img.shields.io/github/actions/workflow/status/locusts-r-us/locusts/rust.yml?style=for-the-badge&logo=rust&label=Rust)](https://github.com/locusts-r-us/locusts/actions/workflows/rust.yml)

## Packages

![NuGet Version](https://img.shields.io/nuget/v/locusts?style=for-the-badge&logo=nuget&color=%23004880)
![Hex.pm Version](https://img.shields.io/hexpm/v/locusts?style=for-the-badge&logo=elixir&color=%234B275F)
![Crates.io Version](https://img.shields.io/crates/v/locusts?style=for-the-badge&logo=rust&color=%23f74b00)
![npm Version](https://img.shields.io/npm/v/locusts?style=for-the-badge&logo=npm&color=%23cb3837)
![JSR Version](https://img.shields.io/jsr/v/%40locusts-r-us/locusts?style=for-the-badge&logo=jsr&color=%23F7DF1E)
![PyPI Version](https://img.shields.io/pypi/pyversions/locusts-r-us?style=for-the-badge&logo=pypi&label=pypi&color=%233775A9)
![go.mod Version](https://img.shields.io/github/go-mod/go-version/locusts-r-us/locusts?style=for-the-badge&logo=go&color=%2300ADD8)
![Maven Central Version](https://img.shields.io/maven-central/v/io.github.locusts-r-us/locusts?style=for-the-badge&logo=apachemaven&color=%23C71A36)


## FAQ

### Why the name `Locusts`?

[![XKCD 797 "debian-main"](https://imgs.xkcd.com/comics/debian_main.png "dpkg: error processing package (--purge): subprocess pre-removal script returned error exit 163: OH_GOD_THEYRE_INSIDE_MY_CLOTHES")](https://xkcd.com/797/)

### Why would you do this?

It's funny.

### Do any of these libraries serve any purpose?

No.

### How do I add these to my projects?

See the documentation below.

### Can I contribute?

Yes! Please do! We welcome all contributions.
See the [CONTRIBUTING.md](./CONTRIBUTING.md) file for more information.

## Currently Supported Languages

- [C/C++](./docs/C.md)
- [Go](./docs/Go.md)
- [Rust](./docs/Rust.md)
- [Python](./docs/Python.md)
- [C#/F#](./docs/.NET.md)
- [JavaScript/TypeScript](./docs/JavaScript.md)
- [BEAM](./docs/BEAM.md)
- [JVM](./docs/JVM.md)

### Not a language but still supported

- [Docker](./docs/Docker.md)

## License

Every locust library in this repository is licensed under the [BSD 0 Clause License](./LICENSE).
